routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Models\User;
use Illuminate\Support\Facades\Input;

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

//Admin routes

Route::middleware(['admin'])->group(function () {
    Route::resource('/user', 'Admin\UserController');
    Route::resource('/team', 'Admin\TeamController');
    Route::get('/request', 'Admin\RequestController@index')->name('request.index');
    Route::put('/request', 'Admin\RequestController@update')->name('request.update');
});

//Employee routes

Route::middleware(['employee'])->group(function () {
    Route::get('/myinfo', 'Employee\MyInfoController@index')->name('myinfo.index');
    Route::get('/myinfo/edit', 'Employee\MyInfoController@edit')->name('myinfo.edit');
    Route::put('/myinfo/update', 'Employee\MyInfoController@update')->name('myinfo.update');

    Route::get('/dashboard', 'Employee\DashboardController@index')->name('dashboard.index');
    Route::get('/dashboard/create', 'Employee\DashboardController@create')->name('dashboard.create');
    Route::post('/dashboard', 'Employee\DashboardController@store')->name('dashboard.store');
});

app/Models/Request.php
<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;

class Request extends Model
{
    const REQ_STAT_ACC = 'accepted';
    const REQ_STAT_PEN = 'pending';
    const REQ_STAT_REJ = 'rejected';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'from', 'to', 'status', 'note','requestedDaysOff', 'user_id', 'explanation'
    ];
    public function user()
    {
        return $this->belongsTo('App\Models\User');
    }

    /**
     * Scope a query to only include accepted requests.
     * @param $query
     * @return mixed
     */
    public function scopeAccepted($query)
    {
        return $query->where('status', Request::REQ_STAT_ACC);
    }

    /**
     * Scope a query to only include pending requests.
     * @param $query
     * @return mixed
     */
    public function scopeByStatus($query, $status)
    {
        return $query->where('status', $status);
    }

    /**
     * Scope a query to only include request in the future.
     * @param $query
     * @return mixed
     */
    public function scopeAfterToday($query)
    {
        $todayDate = Carbon::now()->format('Y-m-d');
        return $query->whereDate('from', '>', $todayDate);
    }

    public function getFromAttribute($value)
    {
         return Carbon::parse($value)->format('d.m.Y.');
    }

    public function getToAttribute($value)
    {
        return Carbon::parse($value)->format('d.m.Y.');
    }

    public function getDateRange()
    {
      return '(' . $this->from . ' - ' . $this->to . ")";
    }
}

app/Http/Controllers/Admin/RequestController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Exceptions\EntryNotFoundException;
use App\Exceptions\NotPendingException;
use App\Http\Controllers\Controller;
use App\Mail\ResponseMail;
use App\Repositories\RequestRepository;
use Illuminate\Http\Request;
use \App\Models\Request as RequestModel;
use Illuminate\Support\Facades\Mail;

class RequestController extends Controller
{
    /**
     * @var RequestRepository
     */
    private $requestRepository;
    public function __construct(RequestRepository $requestRepository) {
        $this->requestRepository = $requestRepository;
    }

    public function index()
    {
        $requests = $this->requestRepository->paginate(10, null,  RequestModel::REQ_STAT_PEN);
        return view('requests.index', compact('requests'));
    }

    public function update(Request $request)
    {
        $data['explanation'] = $request->explanation;
        if (!empty($request->accept))
        {
            $data['status'] = RequestModel::REQ_STAT_ACC;
        }else
        {
            $data['status'] = RequestModel::REQ_STAT_REJ;
        }

        try {
            $request = $this->requestRepository->update($data, $request->request_id, true);
        } catch (EntryNotFoundException $e) {
            abort(404);
        } catch (NotPendingException $e) {
            abort(404);
        }
        Mail::to($request->user->email)->queue(new ResponseMail($request));

        return redirect()->route('request.index');
    }
}

resources/views/requests/index.blade.php
@extends('layouts.app')
@section('content')
    <div class="card-body">
        <h4>All Pending Requests:</h4>
        <table class="table">
            <thead>
            <tr>
                <th scope="col">request ID</th>
                <th scope="col">Employee name</th>
                <th scope="col">From</th>
                <th scope="col">To</th>
                <th scope="col">Requested DaysOff</th>
                <th scope="col">EARNED DaysOff</th>
                <th scope="col">Teams Membership</th>
                <th scope="col">Note</th>
                <th scope="col">Respond</th>

            </tr>
            </thead>
            <tbody>
            @php($rowOrder = "table-secondary")
            @foreach($requests as $request)
                @php($rowOrder = ($rowOrder === "table-secondary") ? 'table-primary' : 'table-secondary')
                <tr class="{{$rowOrder}}">
                    <th scope="row">{{ $request->id }}</th>
                    <td>
                        <a target="_blank" rel="noopener noreferrer" href="{{ route('user.show', ['id' => $request->user_id]) }}">{{ $request->user->firstName . ' ' . $request->user->lastName }}</a>
                    </td>
                    <td>{{ $request->from }}</></td>
                    <td>{{ $request->to }}</td>
                    <td>{{ $request->requestedDaysOff }}</td>
                    <td>{{ $request->user->earnedDaysOff}}</td>
                    <td>
                        @foreach($request->user->teams as $team)
                            <a target="_blank" rel="noopener noreferrer" href="{{ route('team.show', ['id' => $team->id]) }}">{{ $team->teamName }}</a>
                            @if (!$loop->last), @endif
                        @endforeach
                    </td>
                    <td>{{ $request->note }}</td>
                    <td>

                        {{--MODAL RESPOND BUTTON--}}
                        <div class="mb-3">
                            <button type="button" class="btn btn-primary respond-btn" data-toggle="modal" data-target="#exampleModal" data-request_id = "{{ $request->id }}" data-request_employee-name = "{{ $request->user->firstName . ' ' . $request->user->lastName }}" >RESPOND</button>
                        </div>

                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>
    {{--MODAL BODY--}}
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <form   action="{{ route('request.update')  }}" method="post">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Respond to <span id="username_span"></span> request</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <textarea id="explanation" name="explanation" class="form-control{{ $errors->has('explanation') ? ' is-invalid' : '' }}">{{ old('explanation') }}</textarea>
                    </div>
                    <div class="modal-footer">
                        {{--MODAL ACCEPT/REJECT BUTTON--}}

                        <input type="hidden" name="request_id" id="request_id">
                        {{--<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>--}}
                        <button type="submit" name="accept" value="accept" class="btn btn-primary">ACCEPT</button>
                        <button type="submit" name="reject" value="reject" class="btn btn-danger">REJECT</button>
                    </div>
                    @method('PUT')
                    @csrf
                </form>
            </div>
        </div>
    </div>
    <script>

        $( document ).ready(function() {
            $('.respond-btn').click(function () {
                $('#username_span').html($(this).attr('data-request_employee-name'));
                $('#request_id').val($(this).attr('data-request_id'));
            })
        });
    </script>


                {{--LARAVEL NEXT and PREVIOWS--}}
    {{ $requests->render() }}
@endsection